%global momorel 2
%global artsver 1.2.3
%global qtver 3.2.3
%global kdever 3.2.3
%global qtdir /usr/lib/qt3
%global kdedir /usr
%global modver 0.5

Summary: Media Player For KDE
Name: amarok
Version: 1.0.2
Release: %{momorel}m
License: GPL
URL: http://amarok.kde.org/
Group: Applications/Multimedia
%NoSource 0 http://download.sourceforge.net/sourceforge/amarok/%{name}-%{version}.tar.bz2 19535ca2b0a5db9d0f07c576364cd004
%NoSource 1 http://download.sourceforge.net/sourceforge/amarok/modplug_artsplugin-%{modver}.tar.bz2 8f548dcc6af91bb12e937d12f6570c9a
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt >= %{qtver}, kdelibs >= %{kdever}, arts >= %{artsver}, kdemultimedia >= %{kdever}
Requires: taglib >= 1.0
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, arts-devel >= %{artsver}, kdemultimedia >= %{kdever}
BuildPreReq: gstreamer-devel >= 0.8, gst-plugins-devel >= 0.8
BuildPreReq: taglib-devel >= 1.0, xmms-devel >= 1.2

%description
amaroK is a media player for all kind of medias, supported by aRts or
Gstreamer. This includes mp3, ogg, audio CDs and streams.
It supports also all kind of audio effects which are provided by aRts.
Playlists can be stored in .m3u or .pls files.

%package gstreamer
Group: Applications/Multimedia
Summary: gstreamer output plugin for amaroK
Requires: %{name} = %{version}-%{release}
Requires: gstreamer >= 0.8, gst-plugins >= 0.8

%description gstreamer
amaroK media player can play via gstreamer with this plugin.

%package xmms
Group: Applications/Multimedia
Summary: xmms visual plugin support for amaroK
Requires: %{name} = %{version}-%{release}
Requires: xmms >= 1.2

%description xmms
Xmms visualisation plugins can be used with amarok with this package.

%prep
%setup -q -b 1

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

# build modplug_artsplugin
cd %{_builddir}/modplug_artsplugin-%{modver}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install modplug_artsplugin
cd %{_builddir}/modplug_artsplugin-%{modver}
make DESTDIR=%{buildroot} install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post gstreamer
%{_bindir}/gst-register > /dev/null 2> /dev/null

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/amarok
%{_bindir}/amarokapp
%{_libdir}/kde3/kfile_modplug.la
%{_libdir}/kde3/kfile_modplug.so
%{_libdir}/kde3/libamarok_artsengine_plugin.la
%{_libdir}/kde3/libamarok_artsengine_plugin.so
%{_libdir}/mcop/Amarok
%{_libdir}/mcop/Arts/*.mcopclass
%{_libdir}/mcop/*.mcopclass
%{_libdir}/mcop/*.mcoptype
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/applications/kde/amarok.desktop
%{_datadir}/apps/amarok
%{_datadir}/config/amarokrc
%{_datadir}/config.kcfg/amarok.kcfg
%{_datadir}/doc/HTML/*/amarok
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/amarok_artsengine_plugin.desktop
%{_datadir}/services/kfile_modplug.desktop
%{_datadir}/servicetypes/amarok_plugin.desktop

%files gstreamer
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_gstengine_plugin.la
%{_libdir}/kde3/libamarok_gstengine_plugin.so
%{_datadir}/services/amarok_gstengine_plugin.desktop

%files xmms
%defattr(-, root, root)
%{_bindir}/amarok_xmmswrapper

%changelog
* Thu Aug  5 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-2m)
- change make install-strip to install

* Thu Aug  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Thu Jul  1 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- use make install-strip

* Fri Jun 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- 1st release
- %%description and package style are imported from SUSE LINUX 9.1

* Thu Jun 17 2004 - adrian@suse.de
- update to version 1.0 final
* Wed Jun 02 2004 - adrian@suse.de
- add modplug_artsplugin version 0.5
* Tue Jun 01 2004 - adrian@suse.de
- update to version 1.0 beta 4
- update translations
* Tue May 11 2004 - adrian@suse.de
- add translations
* Mon May 10 2004 - adrian@suse.de
- add missing %%defattr
* Mon May 10 2004 - adrian@suse.de
- update to version 1.0 beta 3
- add gstreamer support in subpackage
* Fri Apr 23 2004 - adrian@suse.de
- update to version 1.0 beta 2
- use external (fixed) sqlite for 9.1 and newer
* Sat Apr 17 2004 - coolo@suse.de
- return in non-void functions
* Tue Apr 13 2004 - adrian@suse.de
- update to version 1.0 beta 1
- new sub package for xmms visual plugins support
* Sun Mar 07 2004 - adrian@suse.de
- update to version 0.9 final
* Sun Feb 29 2004 - adrian@suse.de
- update to beta3
* Mon Feb 23 2004 - adrian@suse.de
- move menu entry to Audio Players
* Sat Feb 21 2004 - adrian@suse.de
- neededforbuild fix kdemultimedia3-video -> -sound
- disable GStreamer support again (direct crash when using it)
* Sat Feb 21 2004 - adrian@suse.de
- update to beta 2
- enable GStreamer support
* Sun Feb 15 2004 - adrian@suse.de
- initial package of version 0.9 beta 1
